SQZ(8)

NAME
sqz - reduce available physical memory pages

SYNOPSIS
sqz [ -f device ] [ request ]

DESCRIPTION

sqz is a command which works in conjunction with the sqz(4S) driver to reduce the number of physical memory pages available for any use (system or user). See sqz(4S) for details on intent and implementation.

If invoked without a request, sqz drops into an interactive mode, in which it prompts for and processes requests. When invoked with a request, sqz processes the request; it then pauses indefinitely if a valid hold request was executed, otherwise, it exits immediately.

OPTIONS

-f device
    Set the name of the device to be opened to device. The device defaults to /dev/sqz0.

Valid requests and their corresponding actions follow:

? or help
    Provide list of requests and descriptions.

holdnumber[scale]
    Hold a specified number of bytes, rounded up to full pages. scale, which can be specified in upper or lower case, is one of M (meg), K (kilo), B (bytes), or P (pages). Note: `hold 3' will be interpretted as `hold 3 bytes', which is rounded up to one page. Use `hold 3p' to hold 3 pages. Unlike the sqz (4S) driver, if many pages are requested, they are allocated a little at a time, in order to avoid deadlock.

free
    Free all held pages.

status
    Report number of pages (and kilobytes) held locally and globally.

stop
    Suspend the program (and return to csh(1). Keep pages held.

pause
    Pause indefinitely without returning. Keep pages held.

exit or quit
    Exit the program. Release held pages.

FILES
/dev/sqz*

SEE ALSO
csh(1), sh(1), sqz(4S), sqzpage(8)

BUGS

The stop request only behaves properly when sqz is run from a process which notices stopped children. So, for example `sqz stop' will work well when sqz is invoked from csh(1), but sqz will appear to hang when invoked from sh(1).